#include <stdio.h>
#define N 10

int main(){
	char array[N] = { 'f', 's', 'c', 'k', 'e', 'b', 'e', 'g', 'i', 'q' };
	int i, j, k;
	char tmp;

	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");

	for(i=1; i<N; i++){
		/* Seleziona l'elemento massimo dall'array */
		char max='a'-1;
		int pos=-1;
		for(j=0; j<=N-i; j++)
			if(array[j]>max){
				pos=j;
				max=array[j];	
			}
		/* Scambia max con l'ultimo elemento */
		tmp=array[N-i];
		array[N-i]=max;
		array[pos]=tmp;
	
    	for(k=0; k<N; k++) printf("%c", array[k]);
    	printf("\n");
    }

	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");

	return 0;
}
